<template>
  <section class="edit-favorite">
    <div class="container">

      <form @submit="emit">
        <p>Subscription name:</p>

        <div class="input-group">
          <input type="text" v-model="value"/>
        </div>

        <button class="btn-primary">Speichern</button>
      </form>

    </div>
  </section>
</template>

<script>
export default {
  name: 'EditFavorite',
  data() {
    return {
      value: this.name
    }
  },
  props: {
    name: {
      type: String,
      default: ''
    }
  },
  methods: {
    emit(e) {
      e.preventDefault();
      this.$emit('input', {
        favName: this.value
      })
    }
  }
}
</script>

<style lang="scss">
.edit-favorite {
  position: relative;
  width: 100%;
  padding: $grid-gap 0;

  background: color-gray(2);

  p {
    margin: 0;
    text-align: right;
    @include _font-paragraph('bold', $color-subline);
    @include _font-size($font-size-s)
  }

  form {
    position: relative;
    width: 100%;
    @include _display-flex(flex, center, flex-end);

    @include _respond-to('desktops') {
      @include _list-child-margin($grid-gap, '*', 'left');
    }

    @include _respond-to('phones') {
      flex-wrap: wrap;
      justify-content: flex-start;

      p {
        width: 100%;
        text-align: left;
        margin-bottom: 5px;
      }

      .input-group {
        flex: 1;
        margin-right: 10px;

        input {
          width: 100%;
        }
      }

      .btn-primary {
        padding: 0 20px;
      }
    }
  }
}
</style>
